Bug 124267 - User interface toolbar: shortcut key not rendered for Save as button enabled in toolbar
Summary: User interface toolbar: shortcut key not rendered for Save as button enabled ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.2.2 release
Hardware: All All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords:
Depends on:
Blocks: KDE GTK3
  Show dependency treegraph
 
Reported: 2019-03-22 11:45 UTC by Olivier Hallot
Modified: 2019-10-31 09:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2019-03-22 11:45:36 UTC
The user interface string CQKYg "Save ~As.." is not properly rendered in the Brazilian and French user interface.

The translated string "Salvar como" (with underscored l) or "Enregistrer sous... (with underscored s) is not rendered correctly, thus showing "Sa~lvar como..." or "Enrgistrer ~sous..."in the main toolbar tip text.

Step to reproduce:
0) Set User Interface to pt-BR or fr
1) add "Save as" button in the main toolbar (i.e. set "Save As..." icon as visible)
2) hover mouse on the "save as..." icon 


Versão: 6.2.2.2
ID de compilação: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
Threads da CPU:8; SO:Linux 4.18; Realizador da interface: padrão; VCL: kde5; 
Local: pt-BR (pt_BR.UTF-8); Idioma de IU: pt-BR
Calc: threaded

and 

Version: 6.3.0.0.alpha0+
Build ID: ed901c336ff0b99291ffe53be6bd762abcccf55c
Threads CPU : 8; OS : Linux 4.18; UI Render : par défaut; VCL: gtk3; 
Locale : pt-BR (pt_BR.UTF-8); Langue IHM : fr-FR
Calc: threaded
Comment 1 Julien Nabet 2019-06-10 17:00:12 UTC
On pc Debian x86-64 with master sources updated today, I reproduce this with French UI but in English-US UI, I also got this:
"Save ~As..."
So it's more a general problem than translation pb, no?
Comment 2 Buovjaga 2019-08-28 17:12:41 UTC
Yep, problem only seen with gtk3 and kf5. No problem with gtk2 and gen.

Arch Linux 64-bit
Version: 6.4.0.0.alpha0+
Build ID: b9a776837462eeb6d50d0decc42604c0c3008eb1
CPU threads: 8; OS: Linux 5.2; UI render: default; VCL: kf5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 11 August 2019
Comment 3 Commit Notification 2019-10-31 08:54:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6069100a9b3330bb87b18a7c61e6f24f10d12e0e

Resolves: tdf#124267 accelerator in tooltip

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-10-31 09:15:19 UTC
fixed in master, backport to 6-3 in gerrit
Comment 5 Commit Notification 2019-10-31 09:43:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/fe10b429c1d587b86f0bc73b1a243d8070b7f539

Resolves: tdf#124267 accelerator in tooltip

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.